MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001944VCMIGUI - Adventure Mappublic2014-11-11 08:462016-08-24 03:11
ReporterSebt 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformTablet ASUS TF201OSAndroidOS Version4.1.1
Product Version0.97 
Target VersionFixed in Version0.99 
Summary0001944: After building a Fort castle on adventure map doesn't change it's sprite
DescriptionAfter building a Fort castle on adventure map doesn't change it's sprite from. See picture in attachment.
Steps To ReproduceBuild a Fort.
Additional InformationThis bug was also related to other castles in v.0.96, haven't checked all kind of non-fort castles in 0.97. Also it never happen always, but sometimes.
TagsNo tags attached.
Attached Filesjpg file icon Screenshot_2014-11-11-09-35-22.jpg [^] (1,077,035 bytes) 2014-11-11 08:46

- Relationships
has duplicate 0002040resolvedSXX After build fort image in map not change 
related to 0001911resolvedFeniksFire Flag on the town can be seen, as if built capitol 

-  Notes
(0005251)
SXX (administrator)
2014-12-23 04:54

Few interesting notes about that bug:
 - Even after save reload sprite will remain wrong one.
 - If you upgrade town using cheat "vcmiarmenelos" sprice will be updated properly, but not the icon in right panel. Though icon will be updated after save/load.
(0006353)
vmarkovtsev (developer)
2016-01-23 06:35

I was not able to reproduce this with latest git. Sprite updates. Does it work for anybody else?
(0006356)
SXX (administrator)
2016-01-23 08:04
edited on: 2016-01-23 08:04

Disable HotA, then you'll reproduce this.

BTW main reason why I didn't fixed it yet it's because you'll need to test different town mods compatibility and make sure information in source code, wiki, JSON schemas and VCMI configuration is consistent.

Otherwise it's easy fix as @Fay wrote in 0002040

(0006585)
SXX (administrator)
2016-08-24 03:11

This one is resolved by same fix as 0001911:
https://github.com/vcmi/vcmi/commit/25a68c3ca188b51ccc23f66c49b37d43cd7c0403 [^]

- Issue History
Date Modified Username Field Change
2014-11-11 08:46 Sebt New Issue
2014-11-11 08:46 Sebt File Added: Screenshot_2014-11-11-09-35-22.jpg
2014-12-23 04:54 SXX Note Added: 0005251
2015-03-12 21:18 SXX Relationship added has duplicate 0002040
2015-12-24 19:44 SXX Relationship added related to 0001911
2016-01-23 06:35 vmarkovtsev Note Added: 0006353
2016-01-23 06:35 vmarkovtsev Assigned To => vmarkovtsev
2016-01-23 06:35 vmarkovtsev Status new => feedback
2016-01-23 08:04 SXX Note Added: 0006356
2016-01-23 08:04 SXX Note Edited: 0006356 View Revisions
2016-08-24 03:10 SXX Assigned To vmarkovtsev => SXX
2016-08-24 03:10 SXX Status feedback => assigned
2016-08-24 03:11 SXX Note Added: 0006585
2016-08-24 03:11 SXX Status assigned => resolved
2016-08-24 03:11 SXX Fixed in Version => 0.99
2016-08-24 03:11 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean